
%define name nvidia
%define nversion 1.0
%define nrelease 9631
%define version %nrelease

# pkg0: plain archive
# pkg1: + precompiled modules
# pkg2: + 32bit compatibility libraries
%define x86pkg_rel pkg0
%define x86_64pkg_rel pkg2

%define distsuffix plf

%define rel 1
%define release %mkrel %rel

%define major 1
%define module_name nvidia

%ifarch %ix86
%define packagedir NVIDIA-Linux-x86-%{nversion}-%{nrelease}-%{x86pkg_rel}
%endif
%ifarch x86_64
%define packagedir NVIDIA-Linux-x86_64-%{nversion}-%{nrelease}-%{x86_64pkg_rel}
%endif

%if %{mdkversion} <= 200600
%define xorgdir %{_prefix}/X11R6/%{_lib}
%define xvmcdir %{_prefix}/X11R6/%{_lib}
%define ldsoconfgldir %{_sysconfdir}/ld.so.conf.d
%define nvidiadriversdir %{xorgdir}/modules/drivers
%else
%define xorgdir %{_libdir}/xorg
%define xvmcdir %{_libdir}
%define ldsoconfgldir %{_sysconfdir}/ld.so.conf.d/GL
%define nvidiadriversdir %{xorgdir}/modules/drivers/%{name}
%endif

# other packages should not require any libraries from these pkgs
# if they do, either they're broken or the lib needs to be split out
%define _provides_exceptions \\.so
%define common_requires_exceptions libGLcore\\.so\\|libnvidia-tls\\.so

%ifarch x86_64
# we catch out 32bit deps
%define _requires_exceptions %common_requires_exceptions\\|lib.*so.[0-9]*\\(([^)]\\+)\\)\\{0,1\\}$
%else
%define _requires_exceptions %common_requires_exceptions
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	NVIDIA proprietary X.org driver and libraries
License:	Freeware
Source0: 	ftp://download.nvidia.com/XFree86/Linux-x86/%{nversion}-%{nrelease}/NVIDIA-Linux-x86-%{nversion}-%{nrelease}-%{x86pkg_rel}.run
Source1: 	ftp://download.nvidia.com/XFree86/Linux-x86_64/%{nversion}-%{nrelease}/NVIDIA-Linux-x86_64-%{nversion}-%{nrelease}-%{x86_64pkg_rel}.run
Patch:      patch-nv-1.0-9625-xenrt.txt
URL:		http://www.nvidia.com/object/unix.html
Group:		System/Kernel and hardware
ExclusiveArch:	%ix86 x86_64
Buildroot:	%{_tmppath}/%{name}-root
BuildRequires:	ImageMagick
Requires:	dkms-%{name} = %{version}
%if %{mdkversion} >= 200700
Requires:	x11-server-common
Requires:	drakxtools-backend >= 10.4.75
Requires(post):	update-alternatives
Requires(postun): update-alternatives
%endif
Provides:	NVIDIA_GLX
Provides:	nvidia_GLX
Obsoletes:	nvidia_GLX
Provides:	%{name}-xorg = %{version}-%{release}
Obsoletes:	%{name}-xorg
Provides:	%mklibname nvidia-opengl 1
Obsoletes:	%mklibname nvidia-opengl 1
Provides:	%mklibname nvidia-xorg 1
Obsoletes:	%mklibname nvidia-xorg 1
%ifarch x86_64
Provides:	libnvidia-opengl1 libnvidia-xorg1
Obsoletes:	libnvidia-opengl1 libnvidia-xorg1
%endif

%description
NVIDIA proprietary X.org graphics driver, related libraries and
configuration tools for most GeForce/Quadro based video cards.
Supported cards include some of the GeForce2 based cards, most of
the Quadro based cards and all GeForce3 based or newer cards. See
README.txt after installation for the full list of supported cards.
You should install this package if you want to enable the NVIDIA
proprietary hardware OpenGL acceleration for those cards.

NOTE: This PLF provided NVIDIA driver must be configured differently
than the one available from NVIDIA, see README.install.urpmi for
details.

You can reconfigure X to use the new NVIDIA driver automatically
(this is usually not necessary if you're upgrading from another PLF
or Mandriva-provided NVIDIA driver):
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

This package is in PLF for its non-free license.

%package -n	dkms-%{name}
Summary:	NVIDIA kernel module for most NVIDIA video cards
Group:		System/Kernel and hardware
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms
Requires:	%{name} = %{version}

%description -n dkms-%{name}
NVIDIA kernel module for most GeForce/Quadro based video cards. This
is to be used with the %name package.

This package is in PLF for its non-free license.

%package	devel
Summary:	NVIDIA XvMC development library and OpenGL headers
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}
Provides:	%mklibname nvidia-opengl 1 -d
Obsoletes:	%mklibname nvidia-opengl 1 -d
Provides:	%mklibname nvidia-xorg 1 -d
Obsoletes:	%mklibname nvidia-xorg 1 -d
%ifarch x86_64
Provides:	libnvidia-opengl1-devel libnvidia-xorg1-devel
Obsoletes:	libnvidia-opengl1-devel libnvidia-xorg1-devel
%endif

%description devel
NVIDIA XvMC static development library and OpenGL headers for most
GeForce/Quadro based video cards. This package is not required for
anything, it is just provided for completeness.

This package is in PLF for its non-free license.

%prep
%setup -T -c
%ifarch %ix86
sh %{SOURCE0} --extract-only
%endif
%ifarch x86_64
sh %{SOURCE1} --extract-only
%endif
cd %{packagedir}/usr/src/nv
%patch0 -p1
cd -
rm -rf %{packagedir}/usr/src/nv/precompiled

cat > README.install.urpmi <<EOF
IMPORTANT NOTE: This PLF provided NVIDIA driver must be configured differently
than the one available from NVIDIA, so please follow the instructions below:

If you are upgrading from a Mandriva or PLF provided NVIDIA driver,
reconfiguring is usually unnecessary.

You can reconfigure X to use the new NVIDIA driver either automatically:
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

OR you can do it manually by editing %{_sysconfdir}/X11/xorg.conf:
1. Change the Driver to "nvidia" in the Device section.
2. Remove any Load "glx" lines from the Module section.
3. Add the following line to the Module section:
Load "%{xorgdir}/modules/extensions/nvidia/libglx.so"
%if %mdkversion >= 200700
4. Run "update-alternatives --config gl_conf" and select nvidia.conf.
%endif
EOF

%install
rm -rf %{buildroot}

# OpenGL headers
install -d -m755 %{buildroot}%{_includedir}/nvidia
cp -a %{packagedir}/usr/include/* %{buildroot}%{_includedir}/nvidia

# binaries
install -d -m755 %{buildroot}%{_bindir}
install -m755 %{packagedir}/usr/bin/nvidia-settings %{buildroot}/%{_bindir}
install -m755 %{packagedir}/usr/bin/nvidia-xconfig %{buildroot}/%{_bindir}
install -m755 %{packagedir}/usr/bin/nvidia-bug-report.sh %{buildroot}/%{_bindir}

# dkms
install -d -m755 %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a  %{packagedir}/usr/src/nv/* %{buildroot}/usr/src/%{name}-%{version}-%{release}
# not required, but rpmlint complains otherwise:
chmod 0755 %{buildroot}/usr/src/%{name}-%{version}-%{release}/conftest.sh

# XvMC libraries
install -d -m755 %{buildroot}%{xvmcdir}
install -m755 %{packagedir}/usr/X11R6/lib/libXvMCNVIDIA.a %{buildroot}%{xvmcdir}
install -m755 %{packagedir}/usr/X11R6/lib/libXvMCNVIDIA.so.%{nversion}.%{nrelease} %{buildroot}%{xvmcdir}
ln -s libXvMCNVIDIA.so.%{nversion}.%{nrelease} %{buildroot}%{xvmcdir}/libXvMCNVIDIA_dynamic.so.%{major}

# nvidia_drv
install -d -m755 %{buildroot}%{nvidiadriversdir}
install -m755 %{packagedir}/usr/X11R6/lib/modules/drivers/nvidia_drv.so %{buildroot}%{nvidiadriversdir}

# libglx.so
install -d -m755 %{buildroot}%{xorgdir}/modules/extensions/%{name}
install -m755 %{packagedir}/usr/X11R6/lib/modules/extensions/libglx.so.%{nversion}.%{nrelease} %{buildroot}%{xorgdir}/modules/extensions/%{name}
ln -s libglx.so.%{nversion}.%{nrelease} %{buildroot}%{xorgdir}/modules/extensions/%{name}/libglx.so

# GL libraries
install -d -m755 %{buildroot}%{_libdir}/nvidia
install -m755 %{packagedir}/usr/lib/libGL.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/nvidia
install -m755 %{packagedir}/usr/lib/libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/nvidia
install -m644 %{packagedir}/usr/lib/libGL.la %{buildroot}%{_libdir}/nvidia
perl -pi -e 's,__LIBGL_PATH__,%{_libdir}/nvidia,' %{buildroot}%{_libdir}/nvidia/libGL.la
ln -s libGL.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/nvidia/libGL.so.%{major}
ln -s libGL.so.%{major} %{buildroot}%{_libdir}/nvidia/libGL.so
ln -s libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/nvidia/libGLcore.so.%{major}
%ifarch x86_64
install -d -m755 %{buildroot}%{_prefix}/lib/nvidia
install -m755 %{packagedir}/usr/lib32/libGL.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib/nvidia
install -m755 %{packagedir}/usr/lib32/libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib/nvidia
install -m644 %{packagedir}/usr/lib32/libGL.la %{buildroot}%{_prefix}/lib/nvidia
perl -pi -e 's,__LIBGL_PATH__,%{_prefix}/lib/nvidia,' %{buildroot}%{_prefix}/lib/nvidia/libGL.la
ln -s libGL.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib/nvidia/libGL.so.%{major}
ln -s libGL.so.%{major} %{buildroot}%{_prefix}/lib/nvidia/libGL.so
ln -s libGLcore.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib/nvidia/libGLcore.so.%{major}
%endif

# other libraries
install -d -m755 %{buildroot}%{_libdir}/tls
install -m755 %{packagedir}/usr/lib/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}
install -m755 %{packagedir}/usr/lib/tls/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/tls
install -m755 %{packagedir}/usr/lib/libnvidia-cfg.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/libnvidia-tls.so.%{major}
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/tls/libnvidia-tls.so.%{major}
ln -s libnvidia-cfg.so.%{nversion}.%{nrelease} %{buildroot}%{_libdir}/libnvidia-cfg.so.%{major}
ln -s libnvidia-cfg.so.%{major} %{buildroot}%{_libdir}/libnvidia-cfg.so
%ifarch x86_64
install -d -m755 %{buildroot}%{_prefix}/lib/tls
install -m755 %{packagedir}/usr/lib32/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib
install -m755 %{packagedir}/usr/lib32/tls/libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib/tls
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib/libnvidia-tls.so.%{major}
ln -s libnvidia-tls.so.%{nversion}.%{nrelease} %{buildroot}%{_prefix}/lib/tls/libnvidia-tls.so.%{major}
%endif

# ld.so.conf.d
install -d -m755 %{buildroot}%{ldsoconfgldir}
echo "%{_libdir}/nvidia" > %{buildroot}%{ldsoconfgldir}/%{name}.conf
%ifarch x86_64
echo "%{_prefix}/lib/nvidia" >> %{buildroot}%{ldsoconfgldir}/%{name}.conf
%endif

# XvMCConfig
install -d m755 %{buildroot}%{_sysconfdir}/X11
echo "libXvMCNVIDIA_dynamic.so.%{major}" > %{buildroot}%{_sysconfdir}/X11/XvMCConfig

# man pages
install -d -m755 %{buildroot}%{_mandir}/man1
install -m644 %{packagedir}/usr/share/man/man1/nvidia-settings.1* %{buildroot}%{_mandir}/man1
install -m644 %{packagedir}/usr/share/man/man1/nvidia-xconfig.1* %{buildroot}%{_mandir}/man1

# menus
install -d -m755 %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%name
?package(%{name}):command="%{_bindir}/nvidia-settings" \
                  icon=nvidia-settings.png \
                  needs="x11" \
                  section="System/Configuration/Hardware" \
                  title="NVIDIA Settings"\
                  longtitle="Configure NVIDIA X driver" \
                  xdg="true"
EOF

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-nvidia-settings.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=NVIDIA Settings
Comment=Configure NVIDIA X driver
Exec=%{_bindir}/nvidia-settings
Icon=nvidia-settings
Terminal=false
Type=Application
Categories=Settings;HardwareSettings;X-MandrivaLinux-System-Configuration;
EOF

# icons
install -d -m755 %buildroot/%{_miconsdir} %buildroot/%{_iconsdir} %buildroot/%{_liconsdir}
convert %{packagedir}/usr/share/pixmaps/nvidia-settings.png -resize 16x16 %buildroot/%{_miconsdir}/nvidia-settings.png
convert %{packagedir}/usr/share/pixmaps/nvidia-settings.png -resize 32x32 %buildroot/%{_iconsdir}/nvidia-settings.png
install -m644 %{packagedir}/usr/share/pixmaps/nvidia-settings.png %buildroot/%{_liconsdir}/nvidia-settings.png

# dkms
cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{name}"
PACKAGE_VERSION="%{version}-%{release}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/video"
BUILT_MODULE_NAME[0]="%{module_name}"
MAKE[0]="make SYSSRC=\${kernel_source_dir} module"
AUTOINSTALL="YES"
EOF

%clean
rm -rf %{buildroot}

# We look for non-rpm installation and uninstall it
%pre
if [[ -x /usr/bin/nvidia-installer ]]; then
	/usr/bin/nvidia-installer --uninstall -s &>/dev/null || true
	rm -f /usr/bin/nvidia-installer
fi

# Using posttrans fixes upgrade (rpm removed
# %{xorgdir}/modules/drivers/nvidia_drv.so after the script had run)
%posttrans
%if %mdkversion >= 200700
# We do the nvidia_drv.so only because mandriva does, as our nvidia and
# nvidia_legacy fully conflict with each other for the time being.
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{ldsoconfgldir}/%{name}.conf 1000 \
	--slave %{xorgdir}/modules/drivers/nvidia_drv.so nvidia_drv %{nvidiadriversdir}/nvidia_drv.so
# Override from manual mode in case of file absence
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
	%{_sbindir}/update-alternatives --auto gl_conf
fi
%endif
/sbin/ldconfig
%{update_menus}

%postun
%if %mdkversion >= 200700
# We check file instead of $0 to allow easy migration to another scheme later
if [ ! -f %{ldsoconfgldir}/%{name}.conf ]; then
	%{_sbindir}/update-alternatives --remove gl_conf %{ldsoconfgldir}/%{name}.conf
# Override from manual mode in case of file absence
	if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL.conf ]; then
		%{_sbindir}/update-alternatives --auto gl_conf
	fi
fi
%endif
/sbin/ldconfig
%{clean_menus}

%post -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade

# rmmod any old driver if present and not in use (e.g. by X)
rmmod %{module_name} > /dev/null 2>&1 || true

%preun -n dkms-%{name}
dkms remove -m %{name} -v %{version}-%{release} --all --rpm_safe_upgrade

%files
%defattr(-,root,root)
%doc %{packagedir}/usr/share/doc/NVIDIA_Changelog
%doc %{packagedir}/usr/share/doc/nvidia-settings-user-guide.txt
%doc %{packagedir}/usr/share/doc/README.txt
%doc %{packagedir}/usr/share/doc/XF86Config.sample
%doc %{packagedir}/usr/share/doc/html
%doc %{packagedir}/usr/share/doc/Copyrights
%doc %{packagedir}/LICENSE
%doc README.install.urpmi
%config(noreplace) %{_sysconfdir}/X11/XvMCConfig
%{ldsoconfgldir}/%{name}.conf
%{_bindir}/nvidia-settings
%{_bindir}/nvidia-xconfig
%{_bindir}/nvidia-bug-report.sh
%if %mdkversion >= 200700
%dir %{nvidiadriversdir}
%endif
%{nvidiadriversdir}/nvidia_drv.so
%dir %{xorgdir}/modules/extensions/%{name}
%{xorgdir}/modules/extensions/%{name}/libglx.so*
%{_miconsdir}/nvidia-settings.png
%{_iconsdir}/nvidia-settings.png
%{_liconsdir}/nvidia-settings.png
%{_menudir}/%{name}
%{_mandir}/man1/nvidia-settings.1*
%{_mandir}/man1/nvidia-xconfig.1*
%{_datadir}/applications/mandriva-nvidia-settings.desktop
%dir %{_libdir}/nvidia
%{_libdir}/nvidia/*.so.*
%{_libdir}/libnvidia*.so.*
%dir %{_libdir}/tls
%{_libdir}/tls/*.so.*
%{xvmcdir}/libXvMC*.so.*
%ifarch x86_64
%dir %{_prefix}/lib/nvidia
%{_prefix}/lib/nvidia/*.so.*
%{_prefix}/lib/*.so.*
%dir %{_prefix}/lib/tls
%{_prefix}/lib/tls/*.so.*
%endif

%files devel
%defattr(-,root,root)
%doc %{packagedir}/LICENSE
%{_includedir}/nvidia
%{xvmcdir}/libXvMCNVIDIA.a
%{_libdir}/nvidia/*.so
%{_libdir}/nvidia/*.la
%{_libdir}/*.so
%ifarch x86_64
%{_prefix}/lib/nvidia/*.la
%{_prefix}/lib/nvidia/*.so
%endif

%files -n dkms-%{name}
%defattr(-,root,root)
%doc %{packagedir}/LICENSE
/usr/src/%{name}-%{version}-%{release}

%changelog
* Wed Dec 06 2006 Guillaume Rousse <guillomovitch@zarb.org> 9631-1plf2007.1
- new version 

* Wed Nov 08 2006 Anssi Hannula <anssi@zarb.org> 9629-1plf2007.1
- 9629

* Sat Oct 20 2006 Anssi Hannula <anssi@zarb.org> 8776-1plf2007.0
- 8776 (security fix release for CVE-2006-5379)

* Sun Sep 24 2006 Anssi Hannula <anssi@zarb.org> 8774-4plf2007.0
- make sure gl_conf is not in invalid state after remove on 2007.0
- update doc in README.install.urpmi
- fix stale symlink check of gl_conf on 2007.0

* Sat Sep 23 2006 Anssi Hannula <anssi@zarb.org> 8774-3plf2007.0
- fix upgrade

* Thu Sep 21 2006 Anssi Hannula <anssi@zarb.org> 8774-2plf2007.0
- use alternatives for 2007.0
- drop the pre-6.9 nvidia_drv.o
- fix xdg menu entry
- provide /etc/X11/XvMCConfig
- add doc to -devel and dkms pkgs
- update doc in description and README.install.urpmi
- standardize PLF reason

* Thu Aug 24 2006 Anssi Hannula <anssi@zarb.org> 8774-1plf2007.0
- 8774
- drop upstream patches

* Sat Jul 22 2006 Anssi Hannula <anssi@zarb.org> 8762-7plf2007.0
- fix libdir in libGL.la (João Xavier)
- don't require drakxtools not available on 2006.0 official (#133)
- patch from upstream
  * Patch1: support for 2.6.18-rc1 and above

* Mon Jul 17 2006 Anssi Hannula <anssi@zarb.org> 8762-6plf2007.0
- fail silently while uninstalling previous non-rpm installation

* Sun Jul 16 2006 Anssi Hannula <anssi@zarb.org> 8762-5plf2007.0
- merge to a new three-package packaging scheme
  * dkms-nvidia: kernel module
  * nvidia: X.org driver and libraries
  * nvidia-devel: development libraries and headers

* Sat Jul 08 2006 Anssi Hannula <anssi@zarb.org> 8762-4plf2007.0
- fix missing backslashes from _provides_exceptions
- patch from upstream
  * Patch0: compile fix for 2.6.17-git7 and above
- xdg menu

* Sat Jun 10 2006 Anssi Hannula <anssi@zarb.org> 8762-3plf2007.0
- drop unnecessary provides
- add libGL to _provides_exceptions

* Sun Jun 04 2006 Anssi Hannula <anssi@zarb.org> 8762-2plf2007.0
- require xorg >= 7.0 on cooker

* Thu May 25 2006 Anssi Hannula <anssi@zarb.org> 8762-1plf
- 8762
- do not modprobe in %%post

* Mon May 22 2006 Anssi Hannula <anssi@zarb.org> 8756-3plf
- fix XvMC location on cooker
- fix backporting

* Fri May 19 2006 Guillaume Rousse <guillomovitch@zarb.org> 8756-2plf
- handle new xorg

* Fri Apr  7 2006 Anssi Hannula <anssi@zarb.org> 8756-1plf
- 8756
- drop upstream patches
- add requires_exceptions so that urpmi doesn't offer nvidia_legacy

* Fri Jan 20 2006 Anssi Hannula <anssi@zarb.org> 8178-5plf
- patches from upstream
  * Patch3: compile fix for 2.6.15-git1 and above
  * Patch4: compile fix for 2.6.15-git8 and above
  * Patch5: fix for non-PAT usage

* Mon Jan  2 2006 Anssi Hannula <anssi@zarb.org> 8178-4plf
- nvidia-xorg requires strictly the correct library

* Thu Dec 29 2005 Anssi Hannula <anssi@zarb.org> 8178-3plf
- dkms-nvidia requires nvidia-xorg
- nvidia-xorg obsoletes nvidia
- patches from upstream
  * Patch0: power management on 2.6.14 and up
  * Patch1: vm_insert_page() on 2.6.15-rc5 and up
  * Patch2: x86_64 stability on 2.6.10 and below

* Sun Dec 25 2005 Anssi Hannula <anssi@zarb.org> 8178-2plf
- fix leftover provides
- remove OpenGL version from descriptions

* Sun Dec 25 2005 Anssi Hannula <anssi@zarb.org> 8178-1plf
- 8178
- use pkg0 sources, has only the stuff we need
- rename lib from nvidia-opengl to nvidia-xorg for consistency
- mklibnamify devel package
- use same symlinks as NVIDIA
- move libraries around, fix descriptions accordingly
- drop autoconfiguration (bug #87)
- include configuration instructions in README.install.urpmi and description
- remove multiple license and url tags
- fix menu
- drop modprobe.preloading nvidia, unnecessary
- add missing LICENSE
- drop empty %%build section

* Mon Dec  5 2005 Anssi Hannula <anssi@zarb.org> 8174-1plf
- version 8174
- add nvidia-xconfig, nvidia-settings.desktop and new docs
- switch to nvidia provided icon, buildrequires ImageMagick

* Thu Nov 17 2005 Anssi Hannula <anssi@zarb.org> 7676-8plf
- use libDrakX to enable/disable the driver
- clean provides
- fix summaries
- use %%version-%%release instead of %%version.%%release with dkms
- put back badperm fix to silence rpmlint

* Fri Nov 11 2005 Anssi Hannula <anssi@zarb.org> 7676-7plf
- do not set any extra options in xorg.conf

* Tue Nov  8 2005 Anssi Hannula <anssi@zarb.org> 7676-6plf
- fix summary
- remove unneeded badperm fix
- move config edits to post/preun of nvidia-xorg
- enable hardware acceleration of the RENDER extension
- enable GLX even when the Composite X extension is loaded

* Mon Oct 31 2005 Anssi Hannula <anssi@zarb.org> 7676-5plf
- %%clean_menus
- fix descriptions
- add notice about x86_64 to descriptions and README.urpmi

* Sun Oct 30 2005 Anssi Hannula <anssi@zarb.org> 7676-4plf
- spec cleanups
- ExclusiveArch %%ix86 x86_64
- split nvidia_GLX to libnvidia-opengl and nvidia-xorg
- %%pre and %%post pretty much rewritten
- same URL on all packages
- no conflicting files with libxorg-x11, use ld.so.conf.d
- XFdrake compatible
- summary and description fixes
- remove forced V_BUILD_NV_PAT_SUPPORT=1

* Sun Oct 30 2005 Sebastien Savarin <plouf@zarb.org> 7676-3plf
- fix PLF reason

* Sun Oct 30 2005 trem <trem@zarb.org> 7676-2plf
- add amd64
- fix lib for amd64

* Sat Oct 29 2005 Sebastien Savarin <plouf@zarb.org> 7676-1plf
- First PLF release based on Thac spec with many fix
